import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";
import { Button } from "./Button";

export default {
    title: "Components/Button",
    component: Button,
    decorators: [
        (story) => (
            <div style={{ textAlign: "center", marginTop: "20px" }}>{story()}</div>
        ),
    ],
    argTypes: {
        children: {
            control: "text",
            name: "Children/Content",
            defaultValue: "Button",
        },
        color: { name: "Color Variants" },
        disabled: { control: "boolean" },
        fullWidth: { control: "boolean" },
    },
    args: {
        children: "Button",
        color: "primary",
        size: "medium",
        disabled: false,
        variant: "contained",
        fullWidth: false,
    },
} as ComponentMeta<typeof Button>;

export const button: ComponentStory<typeof Button> = (args) => <Button {...args} />;
